#include <Adafruit_GFX.h>
#include <Adafruit_ILI9341.h>
#include <Fonts/FreeSans12pt7b.h>

#include <kasl/scheduling.h>

#include "display.h"
#include "neopixel.h"



void
setup()
{
	Serial.begin(115200);

	neopxl::start();
	tft::Setup();
	tft::SetCursor(0, 8);

  	
  	tft::Println(" \\ (define square (x) (* x ))");
	tft::Println(" \\ (square 3)");
	tft::Println(" 9");
	tft::Println(" \\ ");

	kasl::scheduleThread(neopxl::blink);
	kasl::startScheduler();
}


void
loop()
{
	static bool	on = false;

	kasl::runScheduler();
	delayMicroseconds(100);
}
